ALAS-2017-800


Amazon Linux AMI Security Advisory: ALAS-2017-800
Advisory Release Date: 2017-02-22 18:00 Pacific
Severity: Important

Issue Overview:

It was discovered that the MySQL logging functionality allowed writing to MySQL configuration files. An administrative database user, or a database user with FILE privileges, could possibly use this flaw to run arbitrary commands with root privileges on the system running the database server. (CVE-2016-6662 )

A race condition was found in the way MySQL performed MyISAM engine table repair. A database user with shell access to the server running mysqld could use this flaw to change permissions of arbitrary files writable by the mysql system user. (CVE-2016-5616 , CVE-2016-6663 )


Affected Packages:

mysql51


Issue Correction:
Run yum update mysql51 to update your system.

New Packages:
i686:
    mysql51-bench-5.1.73-8.72.amzn1.i686
    mysql51-embedded-devel-5.1.73-8.72.amzn1.i686
    mysql51-debuginfo-5.1.73-8.72.amzn1.i686
    mysql51-5.1.73-8.72.amzn1.i686
    mysql51-common-5.1.73-8.72.amzn1.i686
    mysql51-test-5.1.73-8.72.amzn1.i686
    mysql51-server-5.1.73-8.72.amzn1.i686
    mysql51-devel-5.1.73-8.72.amzn1.i686
    mysql51-libs-5.1.73-8.72.amzn1.i686
    mysql51-embedded-5.1.73-8.72.amzn1.i686

src:
    mysql51-5.1.73-8.72.amzn1.src

x86_64:
    mysql51-server-5.1.73-8.72.amzn1.x86_64
    mysql51-devel-5.1.73-8.72.amzn1.x86_64
    mysql51-common-5.1.73-8.72.amzn1.x86_64
    mysql51-debuginfo-5.1.73-8.72.amzn1.x86_64
    mysql51-test-5.1.73-8.72.amzn1.x86_64
    mysql51-5.1.73-8.72.amzn1.x86_64
    mysql51-embedded-devel-5.1.73-8.72.amzn1.x86_64
    mysql51-libs-5.1.73-8.72.amzn1.x86_64
    mysql51-bench-5.1.73-8.72.amzn1.x86_64
    mysql51-embedded-5.1.73-8.72.amzn1.x86_64